<?php get_header(); ?>
<div id="content">
<?php if (have_posts()) : ?>
<!-- google_ad_section_start -->
<div class="head2">
<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
<?php /* If this is a category archive */ if (is_category()) { ?>
<h1 class="pagetitle"><?php single_cat_title(); ?></h1>

<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
<h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2>

<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
<h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2>

<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
<h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2>

<?php /* If this is an author archive */ } elseif (is_author()) { ?>
<h2 class="pagetitle">Author Archive</h2>

<?php } elseif (is_search()) { ?>
<h1 class="pagetitle"><?php the_search_query(); ?></h1>

<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
<h2 class="pagetitle">Blog Archives</h2>

<?php } elseif ( function_exists('is_tag')) if (is_tag()) { ?>
<h1 class="pagetitle"><?php echo single_tag_title(); ?></h1>

<?php } ?>
</div>

<?php while (have_posts()) : the_post(); ?>
<div class="post" id="post-<?php the_ID(); ?>">
<h2 class="post_title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
<div class="post_datetime"><?php the_time('F jS, Y') ?> at <?php the_time('g:ia'); ?><?php edit_post_link('Edit', ' ', ''); ?></div>
<div class="post_body">
<?php /* AdSense Code Start */ ?><?php if ($wp_query->current_post == 0) include("first-ad.php"); ?><?php /* AdSense Code End */ ?>
<?php /* Post Teaser Addon Fix */ ?><?php if (function_exists('post_teaser22')) : ?><?php the_content(); ?>
<?php else : ?><?php the_excerpt(','); ?><p>Continue Reading <a href="<?php the_permalink() ?>"><?php the_title(); ?></a></p><?php endif; ?><?php /* Post Teaser Addon Fix */ ?>
<div style="clear:both;"></div>
<?php /* Tags WP 2.3 Code Start */ if ( function_exists('is_tag')){ ?><?php the_tags(); ?><?php /* Tags WP 2.3 Code End */ } ?>
</div>

<div class="post_category">Posted in <?php the_category(', ') ?></div>
<div class="post_comments"><?php comments_popup_link('No comment', '1 Comment', '% Comments'); ?></div>
</div>

<div class="divider"><img src="<?php bloginfo('template_directory'); ?>/images/3star.gif" alt="<?php the_title(); ?>" /></div>
<?php endwhile; ?>
<!-- google_ad_section_end -->
<?php /* AdSense Code Start */ ?><div style="text-align:center; padding-bottom:20px; padding-top:20px;">
<?php InsertAdvert($CatBottom);?>
</div><?php /* AdSense Code End */ ?>

<?php /* wp_pagenavi Code */ ?>
<?php if (function_exists('wp_pagenavi')) : ?>
<div class="post-navs">
<?php wp_pagenavi(); ?>
</div>
<?php else : ?>
<div class="postnav">
<div class="alignleft"><?php next_posts_link(__('&laquo; Previous Entries')) ?></div>
<div class="alignright"><?php previous_posts_link(__('Next Entries &raquo;')) ?></div>
<div class="clear"></div>
</div>
<?php endif; ?>
<?php /* wp_pagenavi Code */ ?>

<?php else : ?>

<div class="post">
<h2 class="post_title"><?php _e('Not Found'); ?></h2>
<div class="post_body">
<p><?php _e('Sorry, but no posts matched your criteria.'); ?></p>
<?php include (TEMPLATEPATH . "/searchform.php"); ?>
</div>
</div>

<?php endif; ?>
</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>